/*
 * superstub.S
 * Copyright 1999 Pete A. Zaitcev
 * This code is licensed under GNU General Public License.
 *
 * The problem is that PROM boots ELF from the flash and
 * loads it on the address in the ELF header.
 * In case of PROLL that would be 0xFFD00000.
 * By the nature of PROLL this overlaps PROM.
 * So, we must have PROLL linked to 0xFFD00000 but having 0x4000
 * in its ELF header to work correctly.
 *
 * The way we do it, we have this superstub program that is linked
 * to old good 0x4000, and moves itsef our of PROLL way.
 */

	.section ".text"
	.globl start, _start
_start:
start:

#include "proll.hex"
